Zum Hauptinhalt springen
POST
/
uploads
Create an upload target
curl --request POST \
  --url https://api.youka.io/api/v1/uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "contentType": "<string>",
  "contentLength": 123
}
'
{
  "inputFileId": "<string>",
  "uploadUrl": "<string>",
  "contentType": "<string>"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header

Idempotency-Key
string

Body

application/json
filename
string
erforderlich
Minimum string length: 1
contentType
string
erforderlich
Minimum string length: 1
contentLength
number
erforderlich
Erforderlicher Bereich: x <= 314572800

Antwort

200 - application/json

Upload target created

inputFileId
string
erforderlich
uploadUrl
string<uri>
erforderlich
contentType
string
erforderlich